var dev_guides =
[
    [ "Building OCCT from sources", "occt_dev_guides__building.html", "occt_dev_guides__building" ],
    [ "Documentation System", "occt_dev_guides__documentation.html", [
      [ "Introduction", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_1", null ],
      [ "Prerequisites", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_2", null ],
      [ "Documentation Generation", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_2_1", null ],
      [ "Documentation Conventions", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_3", [
        [ "File Format", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_3_1", null ],
        [ "Directory Structure", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_3_2", null ]
      ] ],
      [ "Adding a New Document", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_4", null ],
      [ "Additional Resources", "occt_dev_guides__documentation.html#OCCT_DOC_SECTION_5", null ],
      [ "Appendix 1: Document Syntax", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A", [
        [ "Headers and hierarchic document structure", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_1", null ],
        [ "Plain Text", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_2", null ],
        [ "Lists", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_3", null ],
        [ "Tables", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_4", null ],
        [ "Code Blocks", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_5", null ],
        [ "Quotes", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_5a", null ],
        [ "References", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_6", null ],
        [ "Images", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_7", null ],
        [ "Table Of Contents", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_8", null ],
        [ "Formulas", "occt_dev_guides__documentation.html#OCCT_DM_SECTION_A_9", null ]
      ] ]
    ] ],
    [ "Coding Rules", "occt_dev_guides__coding_rules.html", [
      [ "Introduction", "occt_dev_guides__coding_rules.html#occt_coding_rules_1", [
        [ "Scope of the document", "occt_dev_guides__coding_rules.html#occt_coding_rules_1_1", null ]
      ] ],
      [ "Naming Conventions", "occt_dev_guides__coding_rules.html#occt_coding_rules_2", [
        [ "General naming rules", "occt_dev_guides__coding_rules.html#occt_coding_rules_2_1", null ],
        [ "International language [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md316", null ],
        [ "Meaningful names", "occt_dev_guides__coding_rules.html#autotoc_md317", null ],
        [ "Related names", "occt_dev_guides__coding_rules.html#autotoc_md318", null ],
        [ "Camel Case style", "occt_dev_guides__coding_rules.html#autotoc_md319", null ],
        [ "Names of development units", "occt_dev_guides__coding_rules.html#occt_coding_rules_2_2", null ],
        [ "No underscores in unit names [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md320", null ],
        [ "File name extensions [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md321", null ],
        [ "Prefix for toolkit names [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md322", null ],
        [ "Names of public types", "occt_dev_guides__coding_rules.html#autotoc_md323", null ],
        [ "Names of functions", "occt_dev_guides__coding_rules.html#autotoc_md324", null ],
        [ "Names of variables", "occt_dev_guides__coding_rules.html#occt_coding_rules_2_3", null ],
        [ "Naming of variables", "occt_dev_guides__coding_rules.html#autotoc_md325", null ],
        [ "Names of function parameters", "occt_dev_guides__coding_rules.html#autotoc_md326", null ],
        [ "Names of class member variables", "occt_dev_guides__coding_rules.html#autotoc_md327", null ],
        [ "Names of global variables", "occt_dev_guides__coding_rules.html#autotoc_md328", null ],
        [ "Names of local variables", "occt_dev_guides__coding_rules.html#autotoc_md329", null ],
        [ "Avoid dummy names", "occt_dev_guides__coding_rules.html#autotoc_md330", null ]
      ] ],
      [ "Formatting rules", "occt_dev_guides__coding_rules.html#occt_coding_rules_3", [
        [ "International language [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md331", null ],
        [ "Line length", "occt_dev_guides__coding_rules.html#autotoc_md332", null ],
        [ "C++ style comments", "occt_dev_guides__coding_rules.html#autotoc_md333", null ],
        [ "Commenting out unused code", "occt_dev_guides__coding_rules.html#autotoc_md334", null ],
        [ "Indentation in sources [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md335", null ],
        [ "Separating spaces", "occt_dev_guides__coding_rules.html#autotoc_md336", null ],
        [ "Declaration of pointers and references", "occt_dev_guides__coding_rules.html#autotoc_md337", null ],
        [ "Separate logical blocks", "occt_dev_guides__coding_rules.html#autotoc_md338", null ],
        [ "Separate function bodies [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md339", null ],
        [ "Block layout [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md340", null ],
        [ "Single-line operators", "occt_dev_guides__coding_rules.html#autotoc_md341", null ],
        [ "Comparison expressions with constants", "occt_dev_guides__coding_rules.html#autotoc_md342", null ],
        [ "Alignment", "occt_dev_guides__coding_rules.html#autotoc_md343", null ],
        [ "Indentation of comments", "occt_dev_guides__coding_rules.html#autotoc_md344", null ],
        [ "Early return statement", "occt_dev_guides__coding_rules.html#autotoc_md345", null ],
        [ "Trailing spaces", "occt_dev_guides__coding_rules.html#autotoc_md346", null ],
        [ "Headers order", "occt_dev_guides__coding_rules.html#autotoc_md347", null ]
      ] ],
      [ "Documentation rules", "occt_dev_guides__coding_rules.html#occt_coding_rules_4", [
        [ "Documenting classes [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md348", null ],
        [ "Documenting class methods [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md349", null ],
        [ "Documenting C/C++ sources", "occt_dev_guides__coding_rules.html#autotoc_md350", null ]
      ] ],
      [ "Application design", "occt_dev_guides__coding_rules.html#occt_coding_rules_5", [
        [ "Allow possible inheritance", "occt_dev_guides__coding_rules.html#autotoc_md351", null ],
        [ "Avoid friend declarations", "occt_dev_guides__coding_rules.html#autotoc_md352", null ],
        [ "Set/get methods", "occt_dev_guides__coding_rules.html#autotoc_md353", null ],
        [ "Hiding virtual functions [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md354", null ],
        [ "Avoid mixing error reporting strategies", "occt_dev_guides__coding_rules.html#autotoc_md355", null ],
        [ "Minimize compiler warnings [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md356", null ],
        [ "Avoid unnecessary inclusions", "occt_dev_guides__coding_rules.html#autotoc_md357", null ]
      ] ],
      [ "General C/C++ rules", "occt_dev_guides__coding_rules.html#occt_coding_rules_6", [
        [ "Wrapping of global variables [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md358", null ],
        [ "Avoid private members", "occt_dev_guides__coding_rules.html#autotoc_md359", null ],
        [ "Constants and inlines over defines [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md360", null ],
        [ "Avoid explicit numerical values [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md361", null ],
        [ "Three mandatory methods", "occt_dev_guides__coding_rules.html#autotoc_md362", null ],
        [ "Virtual destructor", "occt_dev_guides__coding_rules.html#autotoc_md363", null ],
        [ "Overriding virtual methods", "occt_dev_guides__coding_rules.html#autotoc_md364", null ],
        [ "Default parameter value", "occt_dev_guides__coding_rules.html#autotoc_md365", null ],
        [ "Use const modifier", "occt_dev_guides__coding_rules.html#autotoc_md366", null ],
        [ "Usage of goto [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md367", null ],
        [ "Declaring variable in for() header", "occt_dev_guides__coding_rules.html#autotoc_md368", null ],
        [ "Condition statements within zero", "occt_dev_guides__coding_rules.html#autotoc_md369", null ]
      ] ],
      [ "Portability issues", "occt_dev_guides__coding_rules.html#occt_coding_rules_7", [
        [ "Provide code portability [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md370", null ],
        [ "Avoid usage of global variables [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md371", null ],
        [ "Avoid explicit basic types", "occt_dev_guides__coding_rules.html#autotoc_md372", null ],
        [ "Use <em>sizeof()</em> to calculate sizes [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md373", null ],
        [ "Empty line at the end of file [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md374", null ]
      ] ],
      [ "Stability issues", "occt_dev_guides__coding_rules.html#occt_coding_rules_8", [
        [ "Use <em>OSD::SetSignal()</em> to catch exceptions", "occt_dev_guides__coding_rules.html#autotoc_md375", null ],
        [ "Cross-referenced handles", "occt_dev_guides__coding_rules.html#autotoc_md376", null ],
        [ "C++ memory allocation", "occt_dev_guides__coding_rules.html#autotoc_md377", null ],
        [ "Match <em>new</em> and <em>delete</em> [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md378", null ],
        [ "Methods managing dynamical allocation [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md379", null ],
        [ "Uninitialized variables [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md380", null ],
        [ "Do not hide global <em>new</em>", "occt_dev_guides__coding_rules.html#autotoc_md381", null ],
        [ "Assignment operator", "occt_dev_guides__coding_rules.html#autotoc_md382", null ],
        [ "Float comparison", "occt_dev_guides__coding_rules.html#autotoc_md383", null ],
        [ "Non-indexed iteration", "occt_dev_guides__coding_rules.html#autotoc_md384", null ],
        [ "Do not throw in destructors", "occt_dev_guides__coding_rules.html#autotoc_md385", null ],
        [ "Assigning to reference [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md386", null ]
      ] ],
      [ "Performance issues", "occt_dev_guides__coding_rules.html#occt_coding_rules_9", [
        [ "Class fields alignment", "occt_dev_guides__coding_rules.html#autotoc_md387", null ],
        [ "Fields initialization order [MANDATORY]", "occt_dev_guides__coding_rules.html#autotoc_md388", null ],
        [ "Initialization over assignment", "occt_dev_guides__coding_rules.html#autotoc_md389", null ],
        [ "Optimize caching", "occt_dev_guides__coding_rules.html#autotoc_md390", null ]
      ] ],
      [ "Draw Harness command", "occt_dev_guides__coding_rules.html#occt_coding_rules_10", [
        [ "Return value", "occt_dev_guides__coding_rules.html#autotoc_md391", null ],
        [ "Validate input parameters", "occt_dev_guides__coding_rules.html#autotoc_md392", null ],
        [ "Validate the number of input parameters", "occt_dev_guides__coding_rules.html#autotoc_md393", null ],
        [ "Message printing", "occt_dev_guides__coding_rules.html#autotoc_md394", null ],
        [ "Long list of arguments", "occt_dev_guides__coding_rules.html#autotoc_md395", null ],
        [ "Arguments parser", "occt_dev_guides__coding_rules.html#autotoc_md396", null ]
      ] ],
      [ "Examples", "occt_dev_guides__coding_rules.html#occt_coding_rules_11", [
        [ "Sample documented class", "occt_dev_guides__coding_rules.html#autotoc_md397", null ],
        [ "TCL script for Draw Harness", "occt_dev_guides__coding_rules.html#autotoc_md398", null ],
        [ "GLSL program:", "occt_dev_guides__coding_rules.html#autotoc_md399", null ]
      ] ]
    ] ],
    [ "Contribution Workflow", "occt_dev_guides__contribution_workflow.html", [
      [ "Introduction", "occt_dev_guides__contribution_workflow.html#occt_contribution_intro", [
        [ "Use of issue tracker system", "occt_dev_guides__contribution_workflow.html#occt_contribution_intro_tracker", null ],
        [ "Access levels", "occt_dev_guides__contribution_workflow.html#occt_contribution_intro_access", null ]
      ] ],
      [ "Standard workflow for an issue", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow", [
        [ "General scheme", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_general", null ],
        [ "Issue registration", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_issue", null ],
        [ "Assigning the issue", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_assign", null ],
        [ "Resolving the issue", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix", [
          [ "Requirements to the code modification", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix_code", null ],
          [ "Providing a test case", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix_test", null ],
          [ "Updating user and developer guides", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix_doc", null ],
          [ "Submission of change as a Git branch", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix_git", null ],
          [ "Requirements to the commit message", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix_commit", null ],
          [ "Marking issue as resolved", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_fix_resolve", null ]
        ] ],
        [ "Code review", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_review", null ],
        [ "Testing", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_test", null ],
        [ "Integration of a solution", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_integrate", null ],
        [ "Closing an issue", "occt_dev_guides__contribution_workflow.html#occt_contribution_workflow_close", null ]
      ] ],
      [ "Additional workflow elements", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd", [
        [ "Requesting more information or specific action", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd_feedback", null ],
        [ "Defining relationships between issues", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd_relate", null ],
        [ "Submission of a change as a patch", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd_patch", null ],
        [ "Updating branches in Git", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd_rebase", null ],
        [ "Minor corrections", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd_minor", null ],
        [ "Handling non-reproducible issues", "occt_dev_guides__contribution_workflow.html#occt_contribution_nonstd_autofix", null ]
      ] ],
      [ "Appendix: Issue attributes", "occt_dev_guides__contribution_workflow.html#occt_contribution_app", [
        [ "Category", "occt_dev_guides__contribution_workflow.html#occt_contribution_app_category", null ],
        [ "Severity", "occt_dev_guides__contribution_workflow.html#occt_contribution_app_severity", null ],
        [ "Status", "occt_dev_guides__contribution_workflow.html#occt_contribution_app_status", null ],
        [ "Resolution", "occt_dev_guides__contribution_workflow.html#occt_contribution_app_resolution", null ]
      ] ]
    ] ],
    [ "Guide to installing and using Git for OCCT development", "occt_dev_guides__git_guide.html", [
      [ "Overview", "occt_dev_guides__git_guide.html#occt_gitguide_1", [
        [ "Purpose", "occt_dev_guides__git_guide.html#occt_gitguide_1_1", null ],
        [ "Git URL", "occt_dev_guides__git_guide.html#occt_gitguide_1_2", null ],
        [ "Content", "occt_dev_guides__git_guide.html#occt_gitguide_1_3", null ],
        [ "Short rules of use", "occt_dev_guides__git_guide.html#occt_gitguide_1_4", null ],
        [ "Version of Git", "occt_dev_guides__git_guide.html#occt_gitguide_1_5", null ]
      ] ],
      [ "Installing Tools for Work with Git", "occt_dev_guides__git_guide.html#occt_gitguide_2", [
        [ "Windows platform", "occt_dev_guides__git_guide.html#occt_gitguide_2_1", [
          [ "Installation of Git for Windows", "occt_dev_guides__git_guide.html#occt_gitguide_2_1_1", null ],
          [ "Installation and configuration of TortoiseGit", "occt_dev_guides__git_guide.html#occt_gitguide_2_1_2", null ]
        ] ],
        [ "Linux platform", "occt_dev_guides__git_guide.html#occt_gitguide_2_2", null ]
      ] ],
      [ "Getting access to the repository", "occt_dev_guides__git_guide.html#occt_gitguide_3", [
        [ "Prerequisites", "occt_dev_guides__git_guide.html#occt_gitguide_3_1", null ],
        [ "How to generate a key", "occt_dev_guides__git_guide.html#occt_gitguide_3_2", [
          [ "Generating key with Putty", "occt_dev_guides__git_guide.html#occt_gitguide_3_2_1", null ],
          [ "Generating key with command-line tools", "occt_dev_guides__git_guide.html#occt_gitguide_3_2_2", null ],
          [ "Generating key with Git GUI", "occt_dev_guides__git_guide.html#occt_gitguide_3_2_3", null ]
        ] ],
        [ "Adding public key in your account", "occt_dev_guides__git_guide.html#occt_gitguide_3_3", null ]
      ] ],
      [ "Work with repository: developer operations", "occt_dev_guides__git_guide.html#occt_gitguide_4", [
        [ "General workflow", "occt_dev_guides__git_guide.html#occt_gitguide_4_1", null ],
        [ "Cloning official repository", "occt_dev_guides__git_guide.html#occt_gitguide_4_2", null ],
        [ "Branch creation", "occt_dev_guides__git_guide.html#occt_gitguide_4_3", null ],
        [ "Branch switching", "occt_dev_guides__git_guide.html#occt_gitguide_4_4", null ],
        [ "Committing branch changes", "occt_dev_guides__git_guide.html#occt_gitguide_4_5", null ],
        [ "Pushing branch to the remote repository", "occt_dev_guides__git_guide.html#occt_gitguide_4_6", null ],
        [ "Synchronizing with remote repository", "occt_dev_guides__git_guide.html#occt_gitguide_4_7", null ],
        [ "Applying a fix made on older version of OCCT", "occt_dev_guides__git_guide.html#occt_gitguide_4_8", null ],
        [ "Rebasing with history clean-up", "occt_dev_guides__git_guide.html#occt_gitguide_4_9", null ]
      ] ],
      [ "Work with repository: Reviewer operations", "occt_dev_guides__git_guide.html#occt_gitguide_5", [
        [ "Review branch changes using GitWeb", "occt_dev_guides__git_guide.html#occt_gitguide_5_1", null ],
        [ "Review branch changes with TortoiseGit", "occt_dev_guides__git_guide.html#occt_gitguide_5_2", null ]
      ] ]
    ] ],
    [ "Automated Testing System", "occt_dev_guides__tests.html", [
      [ "Introduction", "occt_dev_guides__tests.html#testmanual_intro", [
        [ "Basic Information", "occt_dev_guides__tests.html#testmanual_intro_basic", null ],
        [ "Intended Use of Automatic Tests", "occt_dev_guides__tests.html#testmanual_1_2", null ],
        [ "Quick Start", "occt_dev_guides__tests.html#testmanual_1_3", [
          [ "Setup", "occt_dev_guides__tests.html#testmanual_1_3_1", null ],
          [ "Running Tests", "occt_dev_guides__tests.html#testmanual_1_3_2", null ],
          [ "Running a Single Test", "occt_dev_guides__tests.html#testmanual_1_3_3", null ],
          [ "Creating a New Test", "occt_dev_guides__tests.html#testmanual_intro_quick_create", null ]
        ] ]
      ] ],
      [ "Organization of Test Scripts", "occt_dev_guides__tests.html#testmanual_2", [
        [ "General Layout", "occt_dev_guides__tests.html#testmanual_2_1", null ],
        [ "Test Groups", "occt_dev_guides__tests.html#testmanual_2_2", [
          [ "Group Names", "occt_dev_guides__tests.html#testmanual_2_2_1", null ],
          [ "File \"grids.list\"", "occt_dev_guides__tests.html#testmanual_2_2_2", null ],
          [ "File \"begin\"", "occt_dev_guides__tests.html#testmanual_2_2_3", null ],
          [ "File \"end\"", "occt_dev_guides__tests.html#testmanual_2_2_4", null ],
          [ "File \"parse.rules\"", "occt_dev_guides__tests.html#testmanual_2_2_5", null ],
          [ "Directory \"data\"", "occt_dev_guides__tests.html#testmanual_2_2_6", null ]
        ] ],
        [ "Test Grids", "occt_dev_guides__tests.html#testmanual_2_3", [
          [ "Grid Names", "occt_dev_guides__tests.html#testmanual_2_3_1", null ],
          [ "File \"begin\"", "occt_dev_guides__tests.html#testmanual_2_3_2", null ],
          [ "File \"end\"", "occt_dev_guides__tests.html#testmanual_2_3_3", null ],
          [ "File \"cases.list\"", "occt_dev_guides__tests.html#testmanual_2_3_4", null ],
          [ "Directory \"data\"", "occt_dev_guides__tests.html#testmanual_2_3_5", null ]
        ] ],
        [ "Test Cases", "occt_dev_guides__tests.html#testmanual_2_4", null ]
      ] ],
      [ "Creation And Modification Of Tests", "occt_dev_guides__tests.html#testmanual_3", [
        [ "Choosing Group, Grid, and Test Case Name", "occt_dev_guides__tests.html#testmanual_3_1", null ],
        [ "Adding Data Files Required for a Test", "occt_dev_guides__tests.html#testmanual_3_2", null ],
        [ "Adding new DRAW commands", "occt_dev_guides__tests.html#testmanual_3_3", null ],
        [ "Script Implementation", "occt_dev_guides__tests.html#testmanual_3_4", null ],
        [ "Interpretation of test results", "occt_dev_guides__tests.html#testmanual_details_results", null ],
        [ "Marking BAD cases", "occt_dev_guides__tests.html#testmanual_3_6", null ],
        [ "Marking required output", "occt_dev_guides__tests.html#testmanual_3_7", null ]
      ] ],
      [ "Advanced Use", "occt_dev_guides__tests.html#testmanual_4", [
        [ "Running Tests on Older Versions of OCCT", "occt_dev_guides__tests.html#testmanual_4_1", null ],
        [ "Adding custom tests", "occt_dev_guides__tests.html#testmanual_4_2", null ],
        [ "Parallel execution of tests", "occt_dev_guides__tests.html#testmanual_4_3", null ],
        [ "Checking non-regression of performance, memory, and visualization", "occt_dev_guides__tests.html#testmanual_4_4", null ]
      ] ],
      [ "APPENDIX", "occt_dev_guides__tests.html#testmanual_5", [
        [ "Test groups", "occt_dev_guides__tests.html#testmanual_5_1", [
          [ "3rdparty", "occt_dev_guides__tests.html#testmanual_5_1_1", null ],
          [ "blend", "occt_dev_guides__tests.html#testmanual_5_1_2", null ],
          [ "boolean", "occt_dev_guides__tests.html#testmanual_5_1_3", null ],
          [ "bugs", "occt_dev_guides__tests.html#testmanual_5_1_4", null ],
          [ "caf", "occt_dev_guides__tests.html#testmanual_5_1_5", null ],
          [ "chamfer", "occt_dev_guides__tests.html#testmanual_5_1_6", null ],
          [ "de", "occt_dev_guides__tests.html#testmanual_5_1_7", null ],
          [ "demo", "occt_dev_guides__tests.html#testmanual_5_1_8", null ],
          [ "draft", "occt_dev_guides__tests.html#testmanual_5_1_9", null ],
          [ "feat", "occt_dev_guides__tests.html#testmanual_5_1_10", null ],
          [ "heal", "occt_dev_guides__tests.html#testmanual_5_1_11", null ],
          [ "mesh", "occt_dev_guides__tests.html#testmanual_5_1_12", null ],
          [ "mkface", "occt_dev_guides__tests.html#testmanual_5_1_13", null ],
          [ "nproject", "occt_dev_guides__tests.html#testmanual_5_1_14", null ],
          [ "offset", "occt_dev_guides__tests.html#testmanual_5_1_15", null ],
          [ "pipe", "occt_dev_guides__tests.html#testmanual_5_1_16", null ],
          [ "prism", "occt_dev_guides__tests.html#testmanual_5_1_17", null ],
          [ "sewing", "occt_dev_guides__tests.html#testmanual_5_1_18", null ],
          [ "thrusection", "occt_dev_guides__tests.html#testmanual_5_1_19", null ],
          [ "xcaf", "occt_dev_guides__tests.html#testmanual_5_1_20", null ]
        ] ],
        [ "Mapping of OCCT functionality to grid names in group <em>bugs</em>", "occt_dev_guides__tests.html#testmanual_5_2", null ],
        [ "Recommended approaches to checking test results", "occt_dev_guides__tests.html#testmanual_5_3", [
          [ "Shape validity", "occt_dev_guides__tests.html#testmanual_5_3_1", null ],
          [ "Shape tolerance", "occt_dev_guides__tests.html#testmanual_5_3_2", null ],
          [ "Shape volume, area, or length", "occt_dev_guides__tests.html#testmanual_5_3_3", null ],
          [ "Memory leaks", "occt_dev_guides__tests.html#testmanual_5_3_4", null ],
          [ "Visualization", "occt_dev_guides__tests.html#testmanual_5_3_5", null ],
          [ "Number of free edges", "occt_dev_guides__tests.html#testmanual_5_3_6", null ],
          [ "Compare numbers", "occt_dev_guides__tests.html#testmanual_5_3_7", null ],
          [ "Check number of sub-shapes", "occt_dev_guides__tests.html#testmanual_5_3_8", null ],
          [ "Check pixel color", "occt_dev_guides__tests.html#testmanual_5_3_9", null ],
          [ "Compute length, area and volume of input shape", "occt_dev_guides__tests.html#testmanual_5_3_10", null ],
          [ "Parse output dump and compare it with reference values", "occt_dev_guides__tests.html#testmanual_5_3_11", null ],
          [ "Compute length of input curve", "occt_dev_guides__tests.html#testmanual_5_3_12", null ],
          [ "Check maximum deflection, number of triangles and nodes in mesh", "occt_dev_guides__tests.html#testmanual_5_3_13", null ]
        ] ]
      ] ]
    ] ],
    [ "Debugging tools and hints", "occt_dev_guides__debug.html", [
      [ "Introduction", "occt_dev_guides__debug.html#occt_debug_intro", null ],
      [ "Compiler macro to enable extended debug messages", "occt_dev_guides__debug.html#occt_debug_macro", null ],
      [ "Calling JIT debugger on exception", "occt_dev_guides__debug.html#occt_debug_exceptions", null ],
      [ "Self-diagnostics in Boolean operations algorithm", "occt_dev_guides__debug.html#occt_debug_bop", null ],
      [ "Functions for calling from debugger", "occt_dev_guides__debug.html#occt_debug_call", [
        [ "Interacting with DRAW", "occt_dev_guides__debug.html#occt_debug_call_draw", null ],
        [ "Saving and dumping shapes and geometric objects", "occt_dev_guides__debug.html#occt_debug_call_brep", null ]
      ] ],
      [ "Dump OCCT objects into Json", "occt_dev_guides__debug.html#occt_debug_dump_json", [
        [ "Implementation in object", "occt_dev_guides__debug.html#occt_debug_dump_json_object", null ],
        [ "Using in DRAW", "occt_dev_guides__debug.html#occt_debug_dump_json_draw", null ]
      ] ],
      [ "Using Visual Studio debugger", "occt_dev_guides__debug.html#occt_debug_vstudio", [
        [ "Command window", "occt_dev_guides__debug.html#occt_debug_vstudio_command", null ],
        [ "Customized display of variables content", "occt_dev_guides__debug.html#occt_debug_vstudio_watch", null ],
        [ "[AutoExpand] section", "occt_dev_guides__debug.html#autotoc_md400", null ],
        [ "[Visualizer] section", "occt_dev_guides__debug.html#autotoc_md401", null ]
      ] ],
      [ "Performance measurement tools", "occt_dev_guides__debug.html#occt_debug_perf", null ]
    ] ],
    [ "Upgrade from older OCCT versions", "occt_dev_guides__upgrade.html", [
      [ "Introduction", "occt_dev_guides__upgrade.html#upgrade_intro", [
        [ "Precautions", "occt_dev_guides__upgrade.html#upgrade_intro_precautions", null ],
        [ "Disclaimer", "occt_dev_guides__upgrade.html#upgrade_intro_disclaim", null ]
      ] ],
      [ "Upgrade to OCCT 6.5.0", "occt_dev_guides__upgrade.html#upgrade_65", null ],
      [ "Upgrade to OCCT 6.5.1", "occt_dev_guides__upgrade.html#upgrade_651", null ],
      [ "Upgrade to OCCT 6.5.2", "occt_dev_guides__upgrade.html#upgrade_652", null ],
      [ "Upgrade to OCCT 6.5.3", "occt_dev_guides__upgrade.html#upgrade_653", null ],
      [ "Upgrade to OCCT 6.5.4", "occt_dev_guides__upgrade.html#upgrade_654", null ],
      [ "Upgrade to OCCT 6.6.0", "occt_dev_guides__upgrade.html#upgrade_660", null ],
      [ "Upgrade to OCCT 6.7.0", "occt_dev_guides__upgrade.html#upgrade_670", [
        [ "Object-level clipping and capping algorithm.", "occt_dev_guides__upgrade.html#upgrade_670_clipping", null ],
        [ "Redesign of markers presentation", "occt_dev_guides__upgrade.html#upgrade_670_markers", null ],
        [ "Default views are not created automatically", "occt_dev_guides__upgrade.html#upgrade_670_views", null ],
        [ "Improved dimensions implementation", "occt_dev_guides__upgrade.html#upgrade_670_dimensions", null ],
        [ "NCollection_Set replaced by List collection", "occt_dev_guides__upgrade.html#upgrade_670_list_collection", null ]
      ] ],
      [ "Upgrade to OCCT 6.8.0", "occt_dev_guides__upgrade.html#upgrade_680", [
        [ "Changes in NCollection classes", "occt_dev_guides__upgrade.html#upgrade_680_ncollection", null ],
        [ "3D View Camera", "occt_dev_guides__upgrade.html#upgrade_680_view_camera", null ],
        [ "Redesign of Connected Interactive Objects", "occt_dev_guides__upgrade.html#upgrade_680_connected_objects", null ],
        [ "Support of UNICODE Characters", "occt_dev_guides__upgrade.html#upgrade_680_unicode", null ],
        [ "Elimination of Projection Shift Concept", "occt_dev_guides__upgrade.html#upgrade_680_projection_shift", null ]
      ] ],
      [ "Upgrade to OCCT 6.9.0", "occt_dev_guides__upgrade.html#upgrade_690", [
        [ "3D Viewer initialization", "occt_dev_guides__upgrade.html#upgrade_690_shaders", null ],
        [ "Changes in Selection", "occt_dev_guides__upgrade.html#upgrade_690_selection", [
          [ "Standard selection", "occt_dev_guides__upgrade.html#autotoc_md402", null ],
          [ "Custom sensitive entities", "occt_dev_guides__upgrade.html#autotoc_md403", null ]
        ] ],
        [ "Changes in Adaptor3d_Curve class", "occt_dev_guides__upgrade.html#upgrade_690_adaptor3d-curve", null ],
        [ "Changes in V3d_View class", "occt_dev_guides__upgrade.html#upgrade_690_v3d_view", null ]
      ] ],
      [ "Upgrade to OCCT 7.0.0", "occt_dev_guides__upgrade.html#upgrade_700", [
        [ "Removal of legacy persistence", "occt_dev_guides__upgrade.html#upgrade_700_persist", [
          [ "CSFDB files", "occt_dev_guides__upgrade.html#autotoc_md404", null ],
          [ "OCAF and XCAF documents", "occt_dev_guides__upgrade.html#autotoc_md405", null ]
        ] ],
        [ "Removal of CDL and WOK", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl", [
          [ "Automatic upgrade", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl_auto", null ],
          [ "Possible compiler errors", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl_compiler", null ],
          [ "Missing header files", "occt_dev_guides__upgrade.html#autotoc_md406", null ],
          [ "Ambiguity of calls to overloaded functions", "occt_dev_guides__upgrade.html#autotoc_md407", null ],
          [ "Lack of implicit cast to base type", "occt_dev_guides__upgrade.html#autotoc_md408", null ],
          [ "Incorrect use of STANDARD_TYPE and Handle macros", "occt_dev_guides__upgrade.html#autotoc_md409", null ],
          [ "Use of class Standard_AncestorIterator", "occt_dev_guides__upgrade.html#autotoc_md410", null ],
          [ "Absence of cast to Standard_Transient*", "occt_dev_guides__upgrade.html#autotoc_md411", null ],
          [ "Method DownCast for non-base types", "occt_dev_guides__upgrade.html#autotoc_md412", null ],
          [ "Possible runtime problems", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl_runtime", null ],
          [ "References to temporary objects", "occt_dev_guides__upgrade.html#autotoc_md413", null ],
          [ "Option to avoid cast of handle to reference to base type", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl_nocast", null ],
          [ "Preserving compatibility with OCCT 6.x", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl_compat", null ],
          [ "Applications based on CDL and WOK", "occt_dev_guides__upgrade.html#upgrade_occt700_cdl_wok", null ]
        ] ],
        [ "Separation of BSpline cache", "occt_dev_guides__upgrade.html#upgrade_occt700_bspline", null ],
        [ "Structural result of Boolean operations", "occt_dev_guides__upgrade.html#upgrade_occt700_booleanresult", null ],
        [ "BRepExtrema_ExtCC finds one solution only", "occt_dev_guides__upgrade.html#upgrade_occt700_brepextrema", null ],
        [ "Removal of SortTools package", "occt_dev_guides__upgrade.html#upgrade_occt700_sorttools", null ],
        [ "On-screen objects and ColorScale", "occt_dev_guides__upgrade.html#upgrade_occt700_2dlayers", null ],
        [ "UserDraw and Visual3d", "occt_dev_guides__upgrade.html#upgrade_occt700_userdraw", [
          [ "Visual3d package", "occt_dev_guides__upgrade.html#autotoc_md414", null ],
          [ "Custom OpenGL rendering and UserDraw", "occt_dev_guides__upgrade.html#autotoc_md415", null ]
        ] ],
        [ "Deprecation of Local Context", "occt_dev_guides__upgrade.html#upgrade_occt700_localcontext", null ],
        [ "Separation of visualization part from TKCAF", "occt_dev_guides__upgrade.html#upgrade_occt700_separate_caf_visualisation", null ],
        [ "Correction of interpretation of Euler angles in gp_Quaternion", "occt_dev_guides__upgrade.html#upgrade_euler_angles", null ],
        [ "Zoom Persistent Selection", "occt_dev_guides__upgrade.html#upgrade_zoom_persistent_selection", null ],
        [ "Texture mapping of objects", "occt_dev_guides__upgrade.html#upgrade_occt700_correction_of_texture", null ],
        [ "Shape presentation builders", "occt_dev_guides__upgrade.html#upgrade_occt700_wfshape", null ]
      ] ],
      [ "Upgrade to OCCT 7.1.0", "occt_dev_guides__upgrade.html#upgrade_occt710", [
        [ "Presentation attributes", "occt_dev_guides__upgrade.html#upgrade_710_aspects", null ],
        [ "Typedefs", "occt_dev_guides__upgrade.html#upgrade_710_types", null ],
        [ "Programmable Pipeline", "occt_dev_guides__upgrade.html#upgrade_710_ffp", null ],
        [ "Transformation persistence", "occt_dev_guides__upgrade.html#upgrade_710_trsfpers", null ],
        [ "Dynamic highlight and selection properties", "occt_dev_guides__upgrade.html#upgrade_710_selprops", null ],
        [ "Correction in TObj_Model class", "occt_dev_guides__upgrade.html#upgrade_occt710_correction_of_TObj_Model", null ],
        [ "Redundant environment variables", "occt_dev_guides__upgrade.html#upgrade_710_env", null ],
        [ "Removed features", "occt_dev_guides__upgrade.html#upgrade_710_removed", null ],
        [ "Other changes", "occt_dev_guides__upgrade.html#upgrade_710_changed_methods", null ]
      ] ],
      [ "Upgrade to OCCT 7.2.0", "occt_dev_guides__upgrade.html#upgrade_occt720", [
        [ "Removed features", "occt_dev_guides__upgrade.html#upgrade_720_removed", null ],
        [ "Corrections in BRepOffset API", "occt_dev_guides__upgrade.html#upgrade_occt720_reshape_oriented_removed", null ],
        [ "Corrections in BRepOffset API", "occt_dev_guides__upgrade.html#upgrade_occt720_correction_of_Offset_API", null ],
        [ "Highlight style", "occt_dev_guides__upgrade.html#upgrade_720_highlight", null ],
        [ "Elimination of implicit 3D Viewer updates", "occt_dev_guides__upgrade.html#upgrade_720_implicit_viewer_update", null ],
        [ "Elimination of Quantity_NameOfColor from TKV3d interface classes", "occt_dev_guides__upgrade.html#upgrade_720_v3d_colorname", null ],
        [ "Result of Boolean operations on containers", "occt_dev_guides__upgrade.html#upgrade_720_Result_Of_BOP_On_Containers", null ],
        [ "Other changes", "occt_dev_guides__upgrade.html#upgrade_720_changes_methods", null ],
        [ "BOP - Pairs of interfering indices", "occt_dev_guides__upgrade.html#upgrade_720_BOP_DataStructure", null ],
        [ "Removal of the Draw commands based on old Boolean operations", "occt_dev_guides__upgrade.html#upgrade_720_Removal_Of_Old_Boolean_Operations_Draw", null ],
        [ "Change of Face/Face intersection in Boolean operations", "occt_dev_guides__upgrade.html#upgrade_720_Change_Of_FaceFace_Intersection", null ],
        [ "Restore OCCT 6.9.1 persistence", "occt_dev_guides__upgrade.html#upgrade_720_persistence", null ],
        [ "Change in BRepLib_MakeFace algorithm", "occt_dev_guides__upgrade.html#upgrade_720_Change_In_BRepLib_MakeFace_Algo", null ],
        [ "Change in BRepFill_OffsetWire algorithm", "occt_dev_guides__upgrade.html#upgrade_720_Change_In_BRepFill_OffsetWire", null ],
        [ "Change in Geom(2d)Adaptor_Curve::IsPeriodic", "occt_dev_guides__upgrade.html#upgrade_720_Change_In_GeomAdaptor_Curve", null ],
        [ "Change in algorithm ShapeUpgrade_UnifySameDomain", "occt_dev_guides__upgrade.html#upgrade_720_UnifySameDomain", null ],
        [ "Changes in STL Reader / Writer", "occt_dev_guides__upgrade.html#upgrade_720_Change_In_RWStl", null ],
        [ "Refactoring of the Error/Warning reporting system in Boolean Component", "occt_dev_guides__upgrade.html#upgrade_720_New_Error_Warning_system_in_BOA", null ]
      ] ],
      [ "Upgrade to OCCT 7.2.1", "occt_dev_guides__upgrade.html#upgrade_occt721", [
        [ "Changes in ShapeUpgrade_UnifySameDomain", "occt_dev_guides__upgrade.html#upgrade_721_Changes_In_USD", null ],
        [ "Moving BuildPCurveForEdgeOnPlane from BOPTools_AlgoTools2D to BRepLib", "occt_dev_guides__upgrade.html#upgrade_721_Move_BuildPCurveForEdgeOnPlane", null ],
        [ "Removed features", "occt_dev_guides__upgrade.html#upgrade_721_removed", null ]
      ] ],
      [ "Upgrade to OCCT 7.3.0", "occt_dev_guides__upgrade.html#upgrade_occt730", [
        [ "Light sources", "occt_dev_guides__upgrade.html#upgrade_730_lights", null ],
        [ "Shading Models", "occt_dev_guides__upgrade.html#upgrade_730_shadingmodels", null ],
        [ "Custom low-level OpenGL elements", "occt_dev_guides__upgrade.html#upgrade_730_tkopengl", null ],
        [ "Changes in BOPAlgo_Section", "occt_dev_guides__upgrade.html#upgrade_730_BOPAlgo_Section", null ],
        [ "Changes in BRepAdaptor_CompCurve", "occt_dev_guides__upgrade.html#upgrade_730_BRepAdaptor_CompCurve", null ],
        [ "Removed features", "occt_dev_guides__upgrade.html#upgrade_730_removed", null ],
        [ "Boolean Operations - Solid Builder algorithm", "occt_dev_guides__upgrade.html#upgrade_730_BuilderSolid", null ],
        [ "Boolean Operation classes in BRepAlgo are deprecated", "occt_dev_guides__upgrade.html#upgrade_730_BRepAlgoBO", null ],
        [ "Unification of the Error/Warning reporting system of Application Framework", "occt_dev_guides__upgrade.html#upgrade_730_replace_CDM_MessageDriver_interface_by_Message_Messenger", null ]
      ] ],
      [ "Upgrade to OCCT 7.4.0", "occt_dev_guides__upgrade.html#upgrade_occt740", [
        [ "Changes in BRepPrimAPI_MakeRevol algorithm", "occt_dev_guides__upgrade.html#upgrade_740_BRepPrimAPI_MakeRevol", null ],
        [ "Removed features", "occt_dev_guides__upgrade.html#upgrade_740_removed", null ],
        [ "Local Context removal", "occt_dev_guides__upgrade.html#upgrade_740_localcontext", null ],
        [ "Changes in behavior of Convert algorithms", "occt_dev_guides__upgrade.html#upgrade_740_geomconvert", null ],
        [ "Changes in selection API and picked point calculation algorithm.", "occt_dev_guides__upgrade.html#upgrade_740_selection", null ],
        [ "Document format version management improvement.", "occt_dev_guides__upgrade.html#upgrade_740_ocafpersistence", null ],
        [ "BRepMesh - revision of the data model", "occt_dev_guides__upgrade.html#upgrade_740_changed_api_of_brepmesh", null ],
        [ "Changes in API of Chamfer algorithms", "occt_dev_guides__upgrade.html#upgrade_740_chamfer", null ],
        [ "Aspects unification", "occt_dev_guides__upgrade.html#upgrade_740_aspects", null ],
        [ "Material definition", "occt_dev_guides__upgrade.html#upgrade_740_materials", null ],
        [ "Changes in Graphic3d_Text and OpenGl_Text API", "occt_dev_guides__upgrade.html#upgrade_740_text", null ],
        [ "Presentation invalidation", "occt_dev_guides__upgrade.html#upgrade_740_prsupdate", null ],
        [ "Interior styles", "occt_dev_guides__upgrade.html#upgrade_740_interiorstyles", null ],
        [ "PrsMgr and SelectMgr hierarchy clean up", "occt_dev_guides__upgrade.html#upgrade_740_modedprs", null ],
        [ "Polygon offset defaults", "occt_dev_guides__upgrade.html#upgrade_740_offset", null ],
        [ "Adding ZLayers in given position", "occt_dev_guides__upgrade.html#upgrade_740_zlayer", null ],
        [ "Modified enumerations", "occt_dev_guides__upgrade.html#upgrade_740_enum_changed", null ],
        [ "Custom defines within env.bat", "occt_dev_guides__upgrade.html#upgrade_740_geproj", null ],
        [ "Switching Boolean Operations algorithm to use BVH tree instead of UB tree", "occt_dev_guides__upgrade.html#upgrade_740_BVH_in_BOP", null ],
        [ "Standard_Stream.hxx no more has \"using std::\" statements", "occt_dev_guides__upgrade.html#upgrade_740_stdnamespace", null ]
      ] ],
      [ "<<<<<<< HEAD", "occt_dev_guides__upgrade.html#autotoc_md416", null ],
      [ "Upgrade to OCCT 7.5.0", "occt_dev_guides__upgrade.html#upgrade_occt750", [
        [ "RGB color definition", "occt_dev_guides__upgrade.html#upgrade_750_srgb_color", null ],
        [ "Aspect_Window interface change", "occt_dev_guides__upgrade.html#upgrade_750_aspectwindow", null ],
        [ "Renaming of types", "occt_dev_guides__upgrade.html#upgrade_750_rename", null ],
        [ "Select3D_SensitiveEntity interface change", "occt_dev_guides__upgrade.html#upgrade_750_sensitiveEntity", null ],
        [ "Changes in Boolean operations algorithm", "occt_dev_guides__upgrade.html#upgrade_750_Booleans", null ]
      ] ]
    ] ]
];